%define upstream_name Test-CleanNamespaces
%define upstream_version 0.18

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3

Summary:	Check for uncleaned imports
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(File::Find::Rule::Perl)
BuildRequires:	perl(Module::Runtime)
BuildRequires:	perl(Package::Stash)
BuildRequires:	perl(Sub::Exporter)
BuildRequires:	perl(Sub::Identify)
BuildRequires:	perl(Test::Deep)
BuildRequires:	perl(Test::Requires)
BuildRequires:	perl(Test::Warnings)
BuildRequires:	perl(namespace::clean)

BuildArch:	noarch

%description
Check for uncleaned imports.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.180.0-3.mga6
+ Revision: 1034178
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.180.0-2.mga6
+ Revision: 966494
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 sander85 <sander85> 0.180.0-1.mga6
+ Revision: 845811
- update to 0.18

* Wed Oct 15 2014 umeabot <umeabot> 0.160.0-3.mga5
+ Revision: 748757
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.160.0-2.mga5
+ Revision: 686412
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 sander85 <sander85> 0.160.0-1.mga5
+ Revision: 669872
- update to 0.16

* Sat Aug 16 2014 sander85 <sander85> 0.150.0-1.mga5
+ Revision: 664178
- update to 0.15

* Fri Aug 15 2014 sander85 <sander85> 0.140.0-1.mga5
+ Revision: 662769
- imported package perl-Test-CleanNamespaces

